Loading...
Searching...
No Matches
seqan3::sam_file_output_options Struct Reference
IO » SAM File

The options type defines various option members that influence the behavior of all or some formats. More...

`#include <seqan3/io/sam_file/output_options.hpp>`

## Public Attributes

bool | add_carriage_return = false
| The default plain text line-ending is "\n", but on Windows an additional carriage return is recommended ("\r\n" for line-ending).
bool | sam_require_header = true
| Whether to require a header for SAM files.

## Detailed Description

The options type defines various option members that influence the behavior of all or some formats.

Remarks
  For a complete overview, take a look at SAM File

## Member Data Documentation

## sam_require_header

bool seqan3::sam_file_output_options::sam_require_header = true

Whether to require a header for SAM files.

In the official SAM format the header is optional but we highly recommend to always specify the header nonetheless to be consistent with BAM files (where the header is always required). If you explicitly want the header not to be written and no related checks to be done (e.g. the record reference name must be present in the reference dictionary of the header) you may set this variable to false.

The documentation for this struct was generated from the following file:

- sam_file/output_options.hpp

Hide me